%define include_holidayparser	0
%define old_menu		0
%{?_with_holidayparser: %{expand: %%global include_holidayparser 1}}
%{?_with_oldmenu: %{expand: %%global old_menu 1}}

%define	name	dayplanner
%define	version 0.2
%define rel	1
%define	release	%mkrel %rel

Name:		%{name} 
Summary:	An easy and clean day planner
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tar.bz2
URL:		http://home.gna.org/dayplanner/
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	perl
BuildArch:	noarch

%description
Day planner is a simple time management program.

Day planner is designed to help you easily manage your time.
It can manage appointments, birthdays and more. It makes sure you
remember your appointments by popping up a dialog box reminding you about it.

%if %include_holidayparser
This package also includes the Date::HolidayParser perl module
%endif

%package tools
Summary: Various tools for use with day planner
Group: Office
Requires: dayplanner

%description tools
This package contains various tools for use with day planner:

dayplanner-commander     : Send raw commands to the day planner daemon

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%name/

# Install the binaries
for a in dayplanner dayplanner-daemon dayplanner-notifier; do
	install -m755 $a $RPM_BUILD_ROOT%{_datadir}/%name/
	ln -s %{_datadir}/%name/$a $RPM_BUILD_ROOT%{_bindir}/
done
install -m755 ./tools/commander $RPM_BUILD_ROOT%{_bindir}/dayplanner-commander

install -m644 ./art/dayplanner-about.png $RPM_BUILD_ROOT%{_datadir}/%name/

# Install Date::HolidayParser if needed
%if %include_holidayparser
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%name/modules/Date-HolidayParser/lib/
cp -r ./modules/Date-HolidayParser/lib/* $RPM_BUILD_ROOT%{_datadir}/%name/modules/Date-HolidayParser/lib/
%endif

# Install the icons
install -m644 ./art/dayplanner_24.png -D $RPM_BUILD_ROOT%{_iconsdir}/dayplanner.png
install -m644 ./art/dayplanner_16.png -D $RPM_BUILD_ROOT%{_miconsdir}/dayplanner.png
install -m644 ./art/dayplanner_48.png -D $RPM_BUILD_ROOT%{_liconsdir}/dayplanner.png
# (High contrast versions)
install -m644 ./art/dayplanner_HC24.png -D $RPM_BUILD_ROOT%{_iconsdir}/dayplanner_HC.png
install -m644 ./art/dayplanner_HC16.png -D $RPM_BUILD_ROOT%{_miconsdir}/dayplanner_HC.png
install -m644 ./art/dayplanner_HC48.png -D $RPM_BUILD_ROOT%{_liconsdir}/dayplanner_HC.png

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
%if %old_menu
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/dayplanner" \
	icon="dayplanner.png" \
	needs="x11" \
	section="Office/Time Management" \
	title="Day planner" \
	longtitle="An easy to use graphical day planner"
EOF
%else
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/dayplanner" \
	icon="dayplanner.png" \
	needs="x11" \
	section="Office/Time Management" \
	title="Day planner" \
	longtitle="An easy to use graphical day planner" \
	xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[DESKTOP ENTRY]
Name=Day planner
Name[nb]=Dagsplanlegger
Name[no]=Dagsplanlegger
Name[nn]=Dagsplanleggar
StartupNotify=true
Terminal=False
Type=Application
Exec=%{_bindir}/dayplanner
Categories=X-MandrivaLinux-Office-TimeManagement;Office;Calendar;GTK;GNOME;
EOF
%endif

./devel-tools/BuildLocale $RPM_BUILD_ROOT/%{_datadir}/locale/

# Find the localization
%find_lang %{name}

%post 
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f dayplanner.lang
# Note to packagers: Please leave COPYING in here as this package is distributed
#  from the software website aswell
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS THANKS TODO ./doc/*
%{_bindir}/dayplanner
%{_bindir}/dayplanner-daemon
%{_bindir}/dayplanner-notifier
%{_datadir}/%name/
%{_iconsdir}/dayplanner*.png
%{_miconsdir}/dayplanner*.png
%{_liconsdir}/dayplanner*.png
%if %old_menu
%{_menudir}/%{name}
%else
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%endif

%files tools
%{_bindir}/dayplanner-commander
%changelog
* Sun Aug 06 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2-1mdv
- New version 0.2 (see NEWS for changelog)

* Wed Jun 07 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1.2-1mdk
- New version 0.1.2 (see NEWS for changelog)

* Wed May 24 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1.1-1mdk
- New version 0.1.1 (see NEWS for changelog)

* Wed Apr 19 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1-1mdk
- Initial release
